<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.elephant.framework.galaxy.aroad.module.zhtj.mapper.ZhtjGljbxxGltclcMapper">

  <resultMap id="zhtjGljbxxGltclcMap" type="com.elephant.framework.galaxy.aroad.module.zhtj.entity.ZhtjGljbxxGltclc">
        <id property="id" column="id"/>
        <result property="year" column="year"/>
        <result property="area" column="area"/>
        <result property="total" column="total"/>
        <result property="guodao" column="guodao"/>
        <result property="shengdao" column="shengdao"/>
        <result property="xiandao" column="xiandao"/>
        <result property="xiangdao" column="xiangdao"/>
        <result property="zygl" column="zygl"/>
        <result property="cundao" column="cundao"/>
        <result property="sort" column="sort"/>
        <result property="creator" column="creator"/>
        <result property="createTime" column="create_time"/>
        <result property="updatePerson" column="update_person"/>
        <result property="updateTime" column="update_time"/>
        <result property="status" column="status"/>
        <result property="delFlag" column="del_flag"/>
        <result property="remarks" column="remarks"/>
  </resultMap>

      <select id="selectOneForPtgsd" resultMap="zhtjGljbxxGltclcMap">
            SELECT * FROM t_zhtj_gljbxx_gltclc_ptgsd
            <where>
                  <if test="lm.year!=null and lm.year!=''">
                        and year=#{lm.year}
                  </if>
                  <if test="lm.area!=null and lm.area!=''">
                        and area=#{lm.area}
                  </if>
            </where>
      </select>
</mapper>
